use utf8;
(
 latn     => [qw{ A > B  C G  D  > E  F  Y  U V W Z H -Þ -  I J K L M N > X  O  P >  - Q  R > S  T }],
#runr_ys  => [qw{ ᚭ - ᛓ  ᚴ ᛆ  -  > -  ᚠ  >  > > - ᛧ ᚽ  ᚦ -  > ᛁ - ᛚ ᛙ ᚿ > -  -  - >  - -  ᚱ > ᛌ  ᛐ }], # short-twig fuþark
#runr_m   => [qw{ ᚮ - ᛒ  ᚲ ᛆ  -  > -  ᚠ  >  > > - ᛧ ᚼ  ᚦ -  ᛁ ᛂ - ᛚ ᛘ ᚿ > -  -  - >  - -  ᚱ > ᛋ  ᛐ }], # fuþork (medieval)
-runr     => [qw{ ᚨ ᛈ ᛒ  ᚲ ᛃ  ᛞ  > ᛖ  ᚠ  ᛉ  > ᚢ ᚣ ᛇ ᚺ  ᚦ -  > ᛁ - ᛚ ᛗ ᚾ > ᚷ  ᛟ  - >  - ᛜ  ᚱ > ᛊ  ᛏ }], # elder fuþark (ᚹ from Y/P/Q?)
-ital     => [qw{ 𐌀 > 𐌁  > 𐌂  𐌃  > 𐌄  𐌅  > > 𐌖 -𐌞 𐌆 𐌇  𐌈 𐌘 𐌉 -𐌝 𐌊 𐌋 𐌌 𐌍 𐌗  𐌎 𐌏  𐌐 >  𐌑 𐌒  𐌓 > 𐌔  𐌕 }],
-goth     => [qw{ 𐌰 > 𐌱  𐌲 𐌾  𐌳  > 𐌴  𐍆  >  > > 𐍅 𐌶 𐌷  𐌸 𐍈  > 𐌹 𐌺 𐌻 𐌼 𐌽 > -𐍇 𐌿 𐍀𐌵 -𐍊 - -𐍁 𐍂 > 𐍃  𐍄 }],
-copt     => [qw{ Ⲁ > Ⲃ  > Ⲅ  Ⲇ  > Ⲉ  >  >  > > Ⲩ Ⲍ Ⲏ  Ⲑ Ⲫ  > Ⲓ Ⲕ Ⲗ Ⲙ Ⲛ Ⲭ Ⲝ  Ⲟ  Ⲡ -Ⳁ Ⲋ -  Ⲣ > Ⲥ  Ⲧ }],
 cyrl     => [qw{ А Б В  > Г  Д  Е Э  >  -Ѵ > > У З И -Ѳ Ф  І Ј К Л М Н Х -Ѯ О  П Ц  Ч -Ҁ Р Ш С  Т }],
-lyci     => [qw{ 𐊀 𐊂 𐊃  > 𐊄  𐊅  > 𐊆  >  >  > > 𐊇 𐊈 -  > 𐊉  > 𐊊 𐊋 𐊍 𐊎 𐊏 𐊐 𐊑  𐊒  𐊓 >  - 𐊔  𐊕 > 𐊖  𐊗 }],
 grek     => [qw{ Α > Β  > Γ  Δ  > Ε  -Ϝ >  > > Υ Ζ Η  Θ Φ Ι -Ϳ Κ Λ Μ Ν Χ Ξ  Ο Π -Ϡ -Ϻ -Ϙ Ρ Σ -Ϲ Τ }],
-lydi     => [qw{ 𐤠 > 𐤡  𐤢 𐤹  𐤣  > 𐤤  𐤥  𐤧  > > 𐤰 - -  > 𐤱  > 𐤦 𐤨 𐤩 𐤪 𐤫 > -  𐤬  - >  𐤳 𐤲  𐤭 > 𐤮  𐤯 }],
 phnx     => [qw{ 𐤀 > 𐤁  > 𐤂  𐤃  > 𐤄  >  >  > > 𐤅 𐤆 𐤇  > 𐤈  > 𐤉 𐤊 𐤋 𐤌 𐤍 > 𐤎  𐤏  𐤐 >  𐤑 𐤒  𐤓 > 𐤔  𐤕 }],
-samr     => [qw{ ࠀ > ࠁ  > ࠂ  ࠃ  > ࠄ  >  >  > > ࠅ ࠆ ࠇ  > ࠈ  > ࠉ ࠊ ࠋ ࠌ ࠍ > ࠎ  ࠏ  ࠐ >  ࠑ ࠒ  ࠓ > ࠔ  ࠕ }],
-armi     => [qw{ 𐡀 > 𐡁  > 𐡂  𐡃  > 𐡄  >  >  > > 𐡅 𐡆 𐡇  > 𐡈  𐡉 ꜜ 𐡊 𐡋 𐡌 𐡍 > 𐡎  𐡏  𐡐 >  𐡑 𐡒  𐡓 > 𐡔  𐡕 }],
 hebr     => [qw{ א > ב  > ג  ד  > ה  >  >  > ו װ ז ח  > ט  י ײ כ ל מ נ > ס  ע  פ צ  ץ ק  ר > ש  ת }],
 syrc     => [qw{ ܐ > ܒ  > ܓ  ܕ  > ܗ  >  >  > > ܘ ܙ ܚ  > ܛ  ܝ ҩ ܟ ܠ ܡ ܢ > ܣ  ܥ  ܦ >  ܨ ܩ  ܪ > ܫ  ܬ }],
-sarb     => [qw{ 𐩱 > 𐩨  > 𐩴  𐩵  𐩠 𐩭  >  >  > > 𐩥 𐩸 𐩢  > 𐩷  > 𐩺 𐩫 𐩡 𐩣 𐩬 > 𐩯  𐩲  𐩰 𐩮  𐩪 𐩤  𐩧 > 𐩦  𐩩 }], # unmatched: 𐩹 𐩳 𐩶 𐩻 𐩼
 ethi     => [qw{ አ > በ  > ገ  ደ  ኀ ሀ  >  >  > > ወ - ሐ  > ጠ  > የ ከ ለ መ ነ > -  ዐ  ፈ ጸጰ  ሰ ቀ  ረ > ሠ  ተ }], # unmatched: ዘ ፀ; new: ፐ
-narb     => [qw{ 𐪑 > 𐪈  > 𐪔  𐪕  𐪀 𐪍  >  >  > > 𐪅 𐪘 𐪂  > 𐪗  > 𐪚 𐪋 𐪁 𐪃 𐪌 > 𐪏  𐪒  𐪐 𐪎  𐪊 𐪄  𐪇 > 𐪆  𐪉 }], # unmatched: 𐪙 𐪓 𐪖 𐪛 𐪜
-nbat     => [qw{ 𐢁 > 𐢃  > 𐢄  𐢅  > 𐢇  >  >  > > 𐢈 𐢉 𐢊  > 𐢋  > 𐢍 𐢏 𐢑 𐢓 𐢕 > 𐢖  𐢗  𐢘 >  𐢙 𐢚  𐢛 > 𐢝  𐢞 }],
 arab     => [qw{ ا > ب  > ج  د  > ه  >  >  > > و ز ح  > ط  > ي ك ل م ن > -  ع  ف >  ص ق  ر > س  ت }],
 brah     => [qw{ 𑀅 > 𑀩  > 𑀕  𑀥  > -  >  >  > > 𑀯 𑀤 -  𑀣 𑀞  > 𑀬 𑀓 𑀮 𑀫 𑀦 > 𑀰  -  𑀧 >  𑀲 𑀔  𑀭 > 𑀱  𑀢 }],
);
